﻿using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 扫描图的参数
    /// </summary>
    public class TempScanGraphItemParam : UIModuleParam
    {
        /// <summary>
        /// Y轴比例
        /// </summary>
        public double YRangePercent { get; set; } = 3;

        /// <summary>
        /// Y轴%显示
        /// </summary>
        public bool IsPercent { get; set; } = true;

        /// <summary>
        /// 目标值为平均值
        /// </summary>
        public bool IsAutoTarget { get; set; } = false;

        /// <summary>
        /// 曲线模式
        /// </summary>
        public bool IsLineMode { get; set; }
    }
}
