﻿using FLY.Thick.FilmCasting.IService;
using System;

namespace FLY.Thick.FilmCasting.Client
{
    /// <summary>
    /// 系统参数服务 客户端代理
    /// </summary>
    public class InitParamServiceClient : FLY.Thick.Base.Client.InitParamServiceClient, IInitParamService
    {
        protected override Type InterfaceType => typeof(IInitParamService);
        /// <summary>
        /// 系统参数服务 客户端代理 构造
        /// </summary>
        /// <param name="id">服务Id</param>
        public InitParamServiceClient(UInt32 id) : base(id) { }

        /// <summary>
        /// 系统参数服务 客户端代理 构造
        /// </summary>
        /// <param name="serviceId">服务Id</param>
        /// <param name="connName">连接器</param>
        public InitParamServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }



        #region 属性，成员变量的代理

        public bool HasVBeforeStretching { get; set; }
        public double MmOfR_VBefore { get; set; }
        #endregion

    }
}
