﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Forms;
using System.Windows.Navigation;

namespace FLY.Weight.UI.Client.Converter
{
    public class NumberFloorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int digit = 0;
            if (parameter is string)
            {
                if (int.TryParse((string)parameter, out digit))
                {

                }
            }
            else if (parameter is int)
            {
                digit = (int)parameter;
            }

            double d = 0;

            if (value is double)
            {
                d = (double)value;
                d = Floor(d, digit);
            }
            else if (value is float)
            {
                d = (float)value;
                d = Floor(d, digit);
            }
            return d.ToString($"F{digit}");
        }
    double Floor(double d, int digit)
    {
        double pow = Math.Pow(10, digit);
        return Math.Floor(d * pow) / pow;
    }
    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
