﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace FLY.FilmCasting.AutoDie.Server
{

    public interface IPLCLink:INotifyPropertyChanged
    {
        #region 输出


        void SetChannelCnt(UInt16 channelCnt);
        void SetHeatUpdate(UInt16 heatUpdate);
        /// <summary>
        /// 设置加热量
        /// </summary>
        /// <param name="values"></param>
        void SetHeat(IEnumerable<UInt16> values);

        #endregion

        #region 当前值
        /// <summary>
        /// 当前电流 有没？
        /// </summary>
        bool HasElectricity { get; }
        /// <summary>
        /// 风机是否启动？
        /// </summary>
        bool HasFan { get; }
        /// <summary>
        /// 加热量更新 读
        /// </summary>
        UInt16 HeatUpdate_R { get; }
        #endregion

        #region 状态
        bool IsConnected { get; }
        #endregion

    }
}
