﻿using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 扫描图的参数
    /// </summary>
    public class CompareGraphItemParam : ScanGraphItemParam
    {
        public CompareGraphItemParam()
        {
            UiModule = "compareGraph";
        }

        /// <summary>
        /// 保存lock状态
        /// </summary>
        public bool IsSaveLock { get; set; }

        /// <summary>
        /// 按了lock后，保存的number; 只有当SaveLock=true 才有作用
        /// </summary>
        public long LockNumber { get; set; }

        /// <summary>
        /// lock 状态; 只有当SaveLock=true 才有作用
        /// </summary>
        public bool IsLocked { get; set; }
    }
}
